#ifdef GL_ES
precision mediump float;
#endif

#include "../utils.frag"

uniform sampler2D s_texture1;
uniform sampler2D s_texture2;
varying vec2 v_uv;

void main(void)
{
    vec2 fg_uv = vec2(-0.5 + v_uv.x * 2.0, -0.8 + v_uv.y * 2.0);
    vec4 bg = texture2D(s_texture2, v_uv);
    bg = vec4(bg.rgb * bg.a, bg.a);

    // TODO: Ensure flags have transparent padding, GL_CLAMP_TO_EDGE would handle this then
    if(fg_uv.x < 0.0 || fg_uv.x > 1.0 || fg_uv.y < 0.0 || fg_uv.y > 1.0) {
        gl_FragColor = bg;
    }
    else {
        vec4 fg = texture2D(s_texture1, fg_uv);

        fg = vec4(fg.rgb * fg.a, fg.a);

        gl_FragColor = blend(fg, bg, bg.a);
    }
}

